Package com.independentsoft.office.word

# Enum Class TextboxTightWrap

java.lang.Object
java.lang.Enum<TextboxTightWrap>
com.independentsoft.office.word.TextboxTightWrap

All Implemented Interfaces:
  `Serializable`, `Comparable<TextboxTightWrap>`, `Constable`

public enum TextboxTightWrap extends Enum<TextboxTightWrap>
The Enum TextboxTightWrap.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL_LINES`
  `FIRST_AND_LAST_LINE`
  `FIRST_LINE_ONLY`
  `LAST_LINE_ONLY`
  `NONE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TextboxTightWrap`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static TextboxTightWrap[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL_LINES

    public static final TextboxTightWrap ALL_LINES

  - ### FIRST_AND_LAST_LINE

    public static final TextboxTightWrap FIRST_AND_LAST_LINE

  - ### FIRST_LINE_ONLY

    public static final TextboxTightWrap FIRST_LINE_ONLY

  - ### LAST_LINE_ONLY

    public static final TextboxTightWrap LAST_LINE_ONLY

  - ### NONE

    public static final TextboxTightWrap NONE

- ## Method Details

  - ### values

    public static TextboxTightWrap[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TextboxTightWrap valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null